# Uses of Interface
org.apache.commons.math3.geometry.partitioning.Region

Packages that use Region
Package
Description
org.apache.commons.math3.geometry.euclidean.oned
This package provides basic 1D geometry components.
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.
org.apache.commons.math3.geometry.euclidean.twod.hull
This package provides algorithms to generate the convex hull for a set of points in an two-dimensional euclidean space.
org.apache.commons.math3.geometry.hull
This package provides interfaces and classes related to the convex hull problem.
org.apache.commons.math3.geometry.partitioning
This package provides classes to implement Binary Space Partition trees.
org.apache.commons.math3.geometry.spherical.oned
This package provides basic geometry components on the 1-sphere.
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of Region in org.apache.commons.math3.geometry.euclidean.oned

Classes in org.apache.commons.math3.geometry.euclidean.oned that implement Region
Modifier and Type
Class
Description
`class`
`IntervalsSet`
This class represents a 1D region: a set of intervals.
Methods in org.apache.commons.math3.geometry.euclidean.oned with parameters of type Region
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Euclidean1D,Euclidean1D>`
SubOrientedPoint.`buildNew(Hyperplane<Euclidean1D> hyperplane, Region<Euclidean1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
Constructors in org.apache.commons.math3.geometry.euclidean.oned with parameters of type Region
Modifier
Constructor
Description
``
`SubOrientedPoint(Hyperplane<Euclidean1D> hyperplane, Region<Euclidean1D> remainingRegion)`
Simple constructor.

## Uses of Region in org.apache.commons.math3.geometry.euclidean.threed

Classes in org.apache.commons.math3.geometry.euclidean.threed that implement Region
Modifier and Type
Class
Description
`class`
`PolyhedronsSet`
This class represents a 3D region: a set of polyhedrons.
Methods in org.apache.commons.math3.geometry.euclidean.threed with parameters of type Region
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Euclidean3D,Euclidean2D>`
SubPlane.`buildNew(Hyperplane<Euclidean3D> hyperplane, Region<Euclidean2D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
Constructors in org.apache.commons.math3.geometry.euclidean.threed with parameters of type Region
Modifier
Constructor
Description
``
`SubPlane(Hyperplane<Euclidean3D> hyperplane, Region<Euclidean2D> remainingRegion)`
Simple constructor.

## Uses of Region in org.apache.commons.math3.geometry.euclidean.twod

Classes in org.apache.commons.math3.geometry.euclidean.twod that implement Region
Modifier and Type
Class
Description
`class`
`PolygonsSet`
This class represents a 2D region: a set of polygons.
Methods in org.apache.commons.math3.geometry.euclidean.twod with parameters of type Region
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Euclidean2D,Euclidean1D>`
SubLine.`buildNew(Hyperplane<Euclidean2D> hyperplane, Region<Euclidean1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
Constructors in org.apache.commons.math3.geometry.euclidean.twod with parameters of type Region
Modifier
Constructor
Description
``
`SubLine(Hyperplane<Euclidean2D> hyperplane, Region<Euclidean1D> remainingRegion)`
Simple constructor.

## Uses of Region in org.apache.commons.math3.geometry.euclidean.twod.hull

Methods in org.apache.commons.math3.geometry.euclidean.twod.hull that return Region
Modifier and Type
Method
Description
`Region<Euclidean2D>`
ConvexHull2D.`createRegion()`
Returns a new region that is enclosed by the convex hull.

## Uses of Region in org.apache.commons.math3.geometry.hull

Methods in org.apache.commons.math3.geometry.hull that return Region
Modifier and Type
Method
Description
`Region<S>`
ConvexHull.`createRegion()`
Returns a new region that is enclosed by the convex hull.

## Uses of Region in org.apache.commons.math3.geometry.partitioning

Classes in org.apache.commons.math3.geometry.partitioning that implement Region
Modifier and Type
Class
Description
`class`
`AbstractRegion<S extends Space,T extends Space>`
Abstract class for all regions, independently of geometry type or dimension.
Methods in org.apache.commons.math3.geometry.partitioning that return Region
Modifier and Type
Method
Description
`Region<S>`
RegionFactory.`buildConvex(Hyperplane<S>... hyperplanes)`
Build a convex region from a collection of bounding hyperplanes.
`Region<S>`
Region.`buildNew(BSPTree<S> newTree)`
Build a region using the instance as a prototype.
`Region<S>`
Region.`copySelf()`
Copy the instance.
`Region<S>`
RegionFactory.`difference(Region<S> region1, Region<S> region2)`
Compute the difference of two regions.
`Region<S>`
RegionFactory.`getComplement(Region<S> region)`
Get the complement of the region (exchanged interior/exterior).
`Region<T>`
AbstractSubHyperplane.`getRemainingRegion()`
Get the remaining region of the hyperplane.
`Region<S>`
RegionFactory.`intersection(Region<S> region1, Region<S> region2)`
Compute the intersection of two regions.
`Region<S>`
RegionFactory.`union(Region<S> region1, Region<S> region2)`
Compute the union of two regions.
`Region<S>`
Hyperplane.`wholeSpace()`
Build a region covering the whole space.
`Region<S>`
RegionFactory.`xor(Region<S> region1, Region<S> region2)`
Compute the symmetric difference (exclusive or) of two regions.
Methods in org.apache.commons.math3.geometry.partitioning with parameters of type Region
Modifier and Type
Method
Description
`protected abstract AbstractSubHyperplane<S,T>`
AbstractSubHyperplane.`buildNew(Hyperplane<S> hyper, Region<T> remaining)`
Build a sub-hyperplane from an hyperplane and a region.
`boolean`
AbstractRegion.`contains(Region<S> region)`
Check if the instance entirely contains another region.
`boolean`
Region.`contains(Region<S> region)`
Check if the instance entirely contains another region.
`Region<S>`
RegionFactory.`difference(Region<S> region1, Region<S> region2)`
Compute the difference of two regions.
`Region<S>`
RegionFactory.`getComplement(Region<S> region)`
Get the complement of the region (exchanged interior/exterior).
`Region<S>`
RegionFactory.`intersection(Region<S> region1, Region<S> region2)`
Compute the intersection of two regions.
`Region<S>`
RegionFactory.`union(Region<S> region1, Region<S> region2)`
Compute the union of two regions.
`Region<S>`
RegionFactory.`xor(Region<S> region1, Region<S> region2)`
Compute the symmetric difference (exclusive or) of two regions.
Constructors in org.apache.commons.math3.geometry.partitioning with parameters of type Region
Modifier
Constructor
Description
`protected`
`AbstractSubHyperplane(Hyperplane<S> hyperplane, Region<T> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.

## Uses of Region in org.apache.commons.math3.geometry.spherical.oned

Classes in org.apache.commons.math3.geometry.spherical.oned that implement Region
Modifier and Type
Class
Description
`class`
`ArcsSet`
This class represents a region of a circle: a set of arcs.
Methods in org.apache.commons.math3.geometry.spherical.oned with parameters of type Region
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Sphere1D,Sphere1D>`
SubLimitAngle.`buildNew(Hyperplane<Sphere1D> hyperplane, Region<Sphere1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
Constructors in org.apache.commons.math3.geometry.spherical.oned with parameters of type Region
Modifier
Constructor
Description
``
`SubLimitAngle(Hyperplane<Sphere1D> hyperplane, Region<Sphere1D> remainingRegion)`
Simple constructor.

## Uses of Region in org.apache.commons.math3.geometry.spherical.twod

Classes in org.apache.commons.math3.geometry.spherical.twod that implement Region
Modifier and Type
Class
Description
`class`
`SphericalPolygonsSet`
This class represents a region on the 2-sphere: a set of spherical polygons.
Methods in org.apache.commons.math3.geometry.spherical.twod with parameters of type Region
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Sphere2D,Sphere1D>`
SubCircle.`buildNew(Hyperplane<Sphere2D> hyperplane, Region<Sphere1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
Constructors in org.apache.commons.math3.geometry.spherical.twod with parameters of type Region
Modifier
Constructor
Description
``
`SubCircle(Hyperplane<Sphere2D> hyperplane, Region<Sphere1D> remainingRegion)`
Simple constructor.